<div class="grid grid-cols-1 md:grid-cols-2 px-14 my-7 gap-14">
  <div>
    <img class="w-full h-[90vh]" [src]="imageMain" alt="">
    <div class="grid grid-cols-3 grid-rows-[30vh] gap-7 mt-8">
      <div class="border-[1px] p-5 border-[#ACACAC] cursor-pointer rounded-[20px] flex justify-center items-center"
        [ngClass]="{'border-2 border-blue-500': imageMain === product.thumnail}">
        <img (click)="onChangeImage(product.thumnail)" class="rounded-[20px] w-full h-full object-cover cursor-pointer"
          [src]="product.thumnail" alt="">
      </div>
      <div class="border-[1px] p-5 border-[#ACACAC] cursor-pointer rounded-[20px] flex justify-center items-center"
        [ngClass]="{'border-2 border-blue-500': imageMain === product.image1}">
        <img (click)="onChangeImage(product.image1)" class="rounded-[20px] w-full h-full object-cover cursor-pointer"
          [src]="product.image1" alt="">
      </div>
      <div class="border-[1px] p-5 border-[#ACACAC] cursor-pointer rounded-[20px] flex justify-center items-center"
        [ngClass]="{'border-2 border-blue-500': imageMain === product.image2}">
        <img (click)="onChangeImage(product.image2)" class="rounded-[20px] w-full h-full object-cover cursor-pointer"
          [src]="product.image2" alt="">
      </div>
    </div>
  </div>

  <div>
    <div>
      <div class="border-b-[1px] border-b-[#ACACAC] pb-5">
        <h2 class="text-[29.68px] font-medium text-[#003F62]">{{product.name}}</h2>
        <h2 class="text-[29.68px] font-bold text-[#4A4A4A] mt-2">${{product.price}}</h2>
        <div class="flex items-center mt-4">
          <div class="flex">
            <img class="mr-2 h-[30px] object-cover" src="assets/image/icon_logo/star-yellow.svg" alt="">
            <img class="mr-2 h-[30px] object-cover" src="assets/image/icon_logo/star-yellow.svg" alt="">
            <img class="mr-2 h-[30px] object-cover" src="assets/image/icon_logo/star-yellow.svg" alt="">
            <img class="mr-2 h-[30px] object-cover" src="assets/image/icon_logo/star-yellow.svg" alt="">
            <img class="mr-2 h-[30px] object-cover" src="assets/image/icon_logo/star-yellow.svg" alt="">
          </div>
          <span class="text-sm">No reviews</span>
        </div>
        <div class="flex items-center my-3">
          <h3 class="text-[18.17px] font-medium">Availability:</h3>
          <img class="h-[13.47px] object-cover ml-4" src="assets/image/icon_logo/vector-v.svg" alt="">
          <h3 class="text-[18.17px] ml-3 font-normal text-[#30BD57]">{{product.stock > 0 ? 'In stock' : 'Out of stock'}}
          </h3>
        </div>
        <span class="text-[#5D5D5D]">Hurry up! only {{product.stock}} product left in stock!</span>
      </div>
      <div class="border-b-[1px] border-b-[#ACACAC] pb-5">
        <div class="flex items-center my-4">
          <h3 class="text-[18.17px] font-medium">Color:</h3>
          <div class="flex items-center">
            <div class="border border-[#434343] rounded-full p-[1px] mx-3">
              <div class="w-[15px] h-[15px] bg-[#D0EC48] rounded-full"></div>
            </div>
            <div class="w-[15px] h-[15px] bg-[#565656] rounded-full"></div>
          </div>
        </div>
        <div class="flex items-center my-5">
          <h3 class="text-[18.17px] font-medium">Size:</h3>
          <div class="flex items-center">
            <div
              class="border-2 border-black w-[60px] h-[30px] bg-[#EEEEEE] text-[18px] font-medium text-center leading-[26px] text-[#434343] ml-4">
              30</div>
            <div
              class="w-[60px] h-[30px] bg-[#EEEEEE] text-[18px] font-medium text-center leading-[26px] text-[#434343] ml-4">
              36</div>
            <div
              class="w-[60px] h-[30px] bg-[#EEEEEE] text-[18px] font-medium text-center leading-[26px] text-[#434343] ml-4">
              42</div>
            <div
              class="w-[60px] h-[30px] bg-[#EEEEEE] text-[18px] font-medium text-center leading-[26px] text-[#434343] ml-4">
              48</div>
            <div
              class="w-[60px] h-[30px] bg-[#EEEEEE] text-[18px] font-medium text-center leading-[26px] text-[#434343] ml-4">
              54</div>
          </div>
        </div>
        <div class="flex items-center my-5">
          <h3 class="text-[18.17px] font-medium">Quantity:</h3>
          <div class="ml-4 flex items-center">
            <div
              class="w-[30px] h-[30px] cursor-pointer border-2 border-[#BDBDBD] bg-[#EEEEEE] text-[18px] font-medium text-center leading-[25px] text-[#434343]">
              -</div>
            <div
              class="w-[63px] h-[30px] border-y-2 border-[#BDBDBD] bg-[#EEEEEE] text-[18px] font-medium text-center leading-[25px] text-[#434343]">
              1</div>
            <div
              class="w-[30px] h-[30px] cursor-pointer border-2 border-[#BDBDBD] bg-[#EEEEEE] text-[18px] font-medium text-center leading-[25px] text-[#434343]">
              +</div>
          </div>
        </div>
        <div class="grid grid-cols-2 lg:grid-cols-3 gap-4">
          <button class="bg-[#EDA415] p-4 rounded-[20px] text-white font-semibold text-[22px]">Add to cart</button>
          <button class="bg-[#EDA415] p-4 rounded-[20px] text-white font-semibold text-[22px]">Buy it now</button>
          <img class="h-[70px] object-cover" src="assets/image/icon_logo/love_product.svg" alt="">
        </div>
      </div>
      <div class="mt-4">
        <div class="flex items-center">
          <h3 class="text-[18.17px] font-medium">Sku: </h3>
          <span class="font-medium ml-4 text-[#434343]">01133-9-9</span>
        </div>
        <div class="flex items-center my-5">
          <h3 class="text-[18.17px] font-medium">Category: </h3>
          <div class="text-[13.17px] text-[#434343] ml-2">
            <span class="mr-3">{{ getCategoryName(product.category) }}</span>
          </div>
        </div>
        <div class="flex items-center">
          <h3 class="text-[18.17px] font-medium">Share: </h3>
          <div class="flex ml-4">
            <img class="w-[20px] h-[20px] object-cover cursor-pointer" src="assets/image/icon_logo/google.svg" alt="">
            <img class="w-[20px] h-[20px] object-cover cursor-pointer mx-5" src="assets/image/icon_logo/facebook.svg"
              alt="">
            <img class="w-[20px] h-[20px] object-cover cursor-pointer" src="assets/image/icon_logo/whatsapp.svg" alt="">
          </div>
        </div>
      </div>
    </div>
  </div>
</div>